Bug 180138 - kmir_mon worker thread doesn't exit
kmir_mon worker thread doesn't exit
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alasdair Kergon
Brian Brock
Depends On:
Blocks: 181409 192916
  Show dependency treegraph
Reported: 2006-02-06 04:17 EST by Bastien Nocera
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version: RHSA-2006-0575
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-08-10 18:04:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
dm-raid-kill-workqueue-on-exit.patch (375 bytes, patch)
2006-02-06 04:17 EST, Bastien Nocera
no flags Details | Diff

  None (edit)
Description Bastien Nocera 2006-02-06 04:17:41 EST

1. modprobe dm-mirror
2. rmmod dm-mirror
3. ps aux | grep kmir_mon shows the worker thread is still running

Trivial patch attached.
Comment 1 Bastien Nocera 2006-02-06 04:17:42 EST
Created attachment 124246 [details]
Comment 5 Jason Baron 2006-03-19 13:54:39 EST
committed in stream u4 build 34.5. A test kernel with this patch is available
from http://people.redhat.com/~jbaron/rhel4/
Comment 9 Red Hat Bugzilla 2006-08-10 18:04:05 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.